/*
 * Copyright (c) 2015 by ELECTRONIC ASSEMBLY <technik@lcd-module.de>
 * EA EPA20-A (SSD1606) software library for arduino.
 *
 * This file is free software; you can redistribute it and/or modify
 * it under the terms of either the GNU General Public License version 2
 * or the GNU Lesser General Public License version 2.1, both as
 * published by the Free Software Foundation.
 */

#ifndef EPA20_H
#define EPA20_H

#define XPIXEL 172
#define YPIXEL 72

#define WHITE 0xFF
#define BLACK 0x00
#define GRAY1 0x55
#define GRAY2 0xAA

class epa20
{
  public:
    void initialize     (byte p_cs, byte p_si, byte p_so, byte p_clk, byte p_a0, byte p_res);
	void update			(void);
    void clear			(void);
	void rectangle		(byte xs, byte ys, byte xe, byte ye, byte outline, byte filling);
	void string         (byte x, byte y, const byte *font_adress, const char *str, byte fg_color, byte bg_color);
	void picture		(byte x, byte y, const byte *pic_adress, byte fg_color, byte bg_color);

  private:
    byte p_cs;
    byte p_si;
	byte p_busy;
    byte p_clk;
    byte p_a0;
	boolean hardware;
    
	void init_displ  (void);
	void set_window  (byte xs, byte ys, byte xe, byte ye);
	void box		 (byte xs, byte ys, byte xe, byte ye, byte filling);
	unsigned int b2w (byte b, byte fg, byte bg);
    void command	 (byte dat);
    void data		 (byte dat);
    
    void spi_initialize	(byte cs, byte si, byte so, byte clk);
    void spi_put_byte	(byte dat);
    void spi_put		(byte *dat, int len);
	void spi_out		(byte dat);
};

#endif
