#include <Arduino.h>
#include <SPI.h>
#include <epa20.h>
#include <logo_ea.h>
#include <font_6x8.h>
#include <font_8x8.h>
#include <font_8x16.h>
#include <font_16x32nums.h>

epa20 EPA20;

void screen1(void);
void screen2(void);

void setup()
{
  EPA20.initialize(10,0,0,0,9,8);
  EPA20.clear(); 

}

void loop()
{
  
  screen1();
  EPA20.update();
  delay(4000);
  screen2();
  EPA20.update();
  delay(4000);
}

void screen1(void)
{
  EPA20.clear(); 
  EPA20.picture((172-118)/2,YPIXEL-32,logo_ea, BLACK, WHITE);  //height of picture 32
  EPA20.string((XPIXEL-10*8)/2,24,font_8x16,"EA EPA20-A", BLACK, WHITE);
  EPA20.string(0,16, font_6x8,"ultra low power ePaper", BLACK,WHITE);
  EPA20.string(0,10, font_6x8,"172x72 dots", BLACK,WHITE);
  EPA20.string(XPIXEL-6*18,0, font_6x8,"www.lcd-module.com", BLACK,WHITE);
}

void screen2(void)
{
  EPA20.clear(); 
  EPA20.string((XPIXEL-10*8)/2,56,font_8x16,"EA EPA20-A", BLACK, WHITE);
  EPA20.string(0,44, font_6x8,"\xF9""4 colors:", BLACK,WHITE);
  EPA20.rectangle(60,44,75,52, BLACK, WHITE);
  EPA20.rectangle(85,44,100,52, BLACK, BLACK);
  EPA20.rectangle(110,44,125,52, GRAY1, GRAY1);
  EPA20.rectangle(135,44,150,52, GRAY2, GRAY2);
  EPA20.string(0,32, font_6x8,"\xF9Standby-Power 0W", BLACK,WHITE);
  EPA20.string(0,20, font_6x8,"\xF9Operating temp: 0\xF8..+50\xF8""C", BLACK,WHITE);
  EPA20.string(0,8, font_6x8,"\xF9no additonal voltages", BLACK,WHITE);
  EPA20.string(XPIXEL-21*6,0, font_6x8,"technik@lcd-module.de", BLACK,WHITE);
  
}
